tigase.jaxmpp.core.client.criteria.tpath

## Class Function.Attr

- java.lang.Object
- - tigase.jaxmpp.core.client.criteria.tpath.Function.Attr

- All Implemented Interfaces:
    Function
  Enclosing interface:
    Function

      public static class Function.Attr
      extends Object
      implements Function

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.criteria.tpath.Function

      `Function.Attr, Function.Value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attr(String attName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `value(Element element)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Attr

          public Attr(String attName)

  - ### Method Detail

    - #### value

          public Object value(Element element)
                       throws XMLException

      Specified by:
        `value` in interface `Function`
      Throws:
        `XMLException`

Copyright © 2006–2020 Tigase. All rights reserved.